
#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <fcntl.h>
#include <signal.h>
#include <time.h>
#include <ctype.h>
#include <string.h>
#include <errno.h>
#include <limits.h>
#include <syslog.h>
#include "quickfix.h"

struct CitControl CitControl;
FILE *control_fp = NULL;

/*
 * get_control  -  read the control record into memory.
 */
void get_control(void) {

	/* Zero it out.  If the control record on disk is missing or short,
	 * the system functions with all control record fields initialized
	 * to zero.
	 */
	memset(&CitControl, 0, sizeof(struct CitControl));
	if (control_fp == NULL)
		control_fp = fopen("citadel.control", "rb+");
	if (control_fp == NULL) {
		control_fp = fopen("citadel.control", "wb+");
		if (control_fp != NULL) {
			memset(&CitControl, 0, sizeof(struct CitControl));
			fwrite(&CitControl, sizeof(struct CitControl),
				1, control_fp);
			rewind(control_fp);
		}
	}
	if (control_fp == NULL) {
		fprintf(stderr, "ERROR opening citadel.control: %s\n",
			strerror(errno));
		return;
	}

	rewind(control_fp);
	fread(&CitControl, sizeof(struct CitControl), 1, control_fp);
}

/*
 * put_control  -  write the control record to disk.
 */
void put_control(void) {

	if (control_fp != NULL) {
		rewind(control_fp);
		fwrite(&CitControl, sizeof(struct CitControl), 1, control_fp);
		fflush(control_fp);
	}
}



main() {
	get_control();
	CitControl.MMhighest = 650000L;
	CitControl.MMnextuser = 45000L;
	CitControl.MMnextroom = 45000L;
	put_control();
	exit(0);
}
